// W2File.cpp : implementation file
//

#include "stdafx.h"
#include "systrayplay.h"
#include "W2File.h"
#include "MainWnd.h"
#include "MainHelper.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CMainWnd* pMainFrame;
extern Helper m_Helper;

/////////////////////////////////////////////////////////////////////////////
// CW2File dialog
//IMPLEMENT_MENUXP(CW2File, CDialog);
//IMPLEMENT_DYNAMIC(CW2File, CDialog)


CW2File::CW2File(UINT id, CWnd* pParent /*=NULL*/) : CDialog(id, pParent)
{
	//{{AFX_DATA_INIT(CW2File)
	m_del = FALSE;
	m_exit = _T("");
	m_file = _T("");
	m_oem = FALSE;
	m_pause = _T("");
	m_play = _T("");
	m_stop = _T("");
	m_enabled = FALSE;
	//}}AFX_DATA_INIT

}


void CW2File::DoDataExchange(CDataExchange* pDX)
{
	CMenuXP::SetXPLookNFeel(this, pMainFrame->XPLookNFeel);
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_W2FBROWSE, m_BtnBrowse);
	DDX_Control(pDX, IDOK, m_BtnOk);
	DDX_Control(pDX, IDCANCEL, m_BtnCancel);
	DDX_Check(pDX, IDC_W2FDELONEXIT, m_del);
	DDX_Text(pDX, IDC_W2FEXIT, m_exit);
	DDX_Text(pDX, IDC_W2FFILE, m_file);
	DDX_Check(pDX, IDC_W2FOEM, m_oem);
	DDX_Text(pDX, IDC_W2FPAUSE, m_pause);
	DDX_Text(pDX, IDC_W2FPLAY, m_play);
	DDX_Text(pDX, IDC_W2FSTOP, m_stop);
	DDX_Check(pDX, IDC_W2FENABLE, m_enabled);
}


BEGIN_MESSAGE_MAP(CW2File, CDialog)
	//{{AFX_MSG_MAP(CW2File)
	ON_BN_CLICKED(IDC_W2FBROWSE, OnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CW2File message handlers

BOOL CW2File::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_Helper.translateWindowText(this, IDD_W2FILE);
	m_Helper.translateDlgItemText(this, IDC_LW2FEXIT);
	m_Helper.translateDlgItemText(this, IDC_LW2FFILENAME);
	m_Helper.translateDlgItemText(this, IDC_LW2FFORMAT);
	m_Helper.translateDlgItemText(this, IDC_LW2FPAUSE);
	m_Helper.translateDlgItemText(this, IDC_LW2FPLAY);
	m_Helper.translateDlgItemText(this, IDC_LW2FSTOP);
	m_Helper.translateDlgItemText(this, IDC_W2FENABLE);
	m_Helper.translateDlgItemText(this, IDC_W2FEXIT);
	m_Helper.translateDlgItemText(this, IDC_W2FDELONEXIT);
	m_Helper.translateDlgItemText(this, IDC_W2FOEM);
	m_Helper.translateDlgItemText(this, IDC_W2FBROWSE);

	m_file = pMainFrame->W2Ffile;
	m_play = pMainFrame->W2Fplay;
	m_pause = pMainFrame->W2Fpause;
	m_stop = pMainFrame->W2Fstop;
	m_exit = pMainFrame->W2Fexit;
	m_oem = pMainFrame->W2Foem;
	m_del = pMainFrame->W2Fdel;
	m_enabled = pMainFrame->W2Fenabled;

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CW2File::OnOK()
{
	UpdateData(TRUE);

	pMainFrame->W2Ffile = m_file;
	pMainFrame->W2Fplay = m_play;
	pMainFrame->W2Fpause = m_pause;
	pMainFrame->W2Fstop = m_stop;
	pMainFrame->W2Fexit = m_exit;
	pMainFrame->W2Foem = m_oem ? 1 : 0;
	pMainFrame->W2Fdel = m_del ? 1 : 0;
	pMainFrame->W2Fenabled = m_enabled ? 1 : 0;

	CDialog::OnOK();
}

void CW2File::OnBrowse()
{
	CFileDialog dialog(FALSE, _T("txt"), _T(""), OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, m_Helper.MyLoadString(IDS_OPENW2FFILE));

	if (dialog.DoModal() == IDOK)
	{
		m_file = dialog.GetPathName();
		UpdateData(FALSE);
	}
}
